﻿@model WebApp.ViewModels.StationsViewModel

@{
    ViewBag.Title = "Home Page";
}

@using (Html.BeginForm("Find", "Main", FormMethod.Post, new { @class = "form-horizontal" }))
{
    @Html.ValidationSummary(false)

    <div class="form-group">
        @Html.Label("Boarding station:", new { @class = "col-sm-2 control-label" })
        <div class="col-sm-10">
            @Html.DropDownListFor(t => t.StationFrom.Title, Model.StationsFrom, new { @class = "form-control", required = "required" })
        </div>
    </div>
    <div class="form-group">
        @Html.Label("Arriving station:", new { @class = "col-sm-2 control-label" })
        <div class="col-sm-10">
            @Html.DropDownListFor(t => t.StationTo.Title, Model.StationsTo, new { @class = "form-control", required = "required" })
        </div>
    </div>
    <div class="form-group">
        @Html.Label("Boarding date:", new { @class = "col-sm-2 control-label" })
        <div class="col-sm-10">
            @Html.TextBoxFor(t => t.Date, new { @class = "form-control", required = "required", type = "date" })
        </div>
    </div>

    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            <button type="submit" class="btn btn-info">Search</button>
        </div>
    </div>
    
}
